Subject: Re: linux-next: manual merge of the net-next tree with the pm tree

From: "Rafael J. Wysocki" <[email-masked]>
Date: Tue, 05 Mar 2024 11:52:48 +0100

Hi Stephen,

On Tuesday, March 5, 2024 1:26:41 AM CET Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the net-next tree got a conflict in:
> 
>   drivers/net/ipa/ipa_smp2p.c
> 
> between commit:
> 
>   c0ef3df8dbae ("PM: runtime: Simplify pm_runtime_get_if_active() usage")
> 
> from the pm tree and commit:
> 
>   5245f4fd28d1 ("net: ipa: don't save the platform device")
> 
> from the net-next tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

The conflict resolution looks good to me, thank you!